<?xml version="1.0" encoding="UTF-8"?>  
<!DOCTYPE sqlMap   
    PUBLIC "-//ibatis.apache.org//DTD SQL Map 2.0//EN"   
    "http://ibatis.apache.org/dtd/sql-map-2.dtd">  
<sqlMap namespace="com.hst.tmService.dao.BusXshsCommonAppMapper">
	
	
	<select id="selectZrrpldjList" parameterClass="java.util.Map" resultClass="com.hst.taxService.domain.gt3.ZrrdjxxDomain">
		SELECT A.SFZJHM sfzjhm,
			   A.XM xm,
			   A.XB xb,
			   A.SJRY sjry,
			   A.SJJG sjjg,
			   A.SFZJLXDM sfzjlxDm,
			   A.GJDM gjDm,
			   A.SLRDM slrDm,
			   A.SLSWJGDM slswjgDm
		FROM XSHS_NSR_ZRR_PLDJ A
		WHERE A.DJZT = 'N'
	</select>
	
	<update id="updateXshsNsrZrrPldj"  parameterClass="java.util.Map" >
		update XSHS_NSR_ZRR_PLDJ a set DJXH = #djxh# ,NSRSBH = #nsrsbh# ,DJZT = #djzt# ,ERR_MESS = #errMess# ,DJRQ = TO_DATE(#djrq:DATE#, 'YYYY-MM-DD HH24:MI:SS')
		where  a.SFZJHM = #sfzjhm#
	</update>
	
	<select id="selectTaskJdSbDrList" parameterClass="java.util.Map" resultClass="com.hst.taxService.domain.xshs.TaskJkSbDomain">
		SELECT A.SBDR_UUID sbdrUuid, A.KSJS_XH ksjsXh, A.PCL_XH pclXh, A.ZT zt, A.SEBZ sebz, A.SZLB szlb, A.SBFS sbfs, A.TD_ID tdId
		  FROM XT_DS_TASK_JK_SBDR A
		 WHERE A.TD_ID = #tdId#
		   AND A.ZT = '0'
		   AND ROWNUM = 1
	</select>
	
	<update id="updateTaskYxjg" parameterClass="java.util.Map">
        update XT_DS_TASK_JK_SBDR set ZT=#zt#,KSSJ=to_date(#kssj#, 'YYYY-MM-DD HH24:MI:SS'),JSSJ=to_date(#jssj#, 'YYYY-MM-DD HH24:MI:SS'),
        ERR_MESS=#errMess# where SBDR_UUID=#sbdrUuid#
    </update>
	
	<resultMap id="pGt3SkzsSbdrDrcxResMap" class="com.hst.taxService.domain.gt3.HxzgSbZzsXgmSbSaveZzsxgmGridlbDomain">
		<result property="ewblxh" column="EWBLXH"/>
		<result property="lmc" column="LMC"/>
		<result property="yzzzsbhsxse" column="YZZZSBHSXSE"/>
		<result property="swjgdkdzzszyfpbhsxse" column="SWJGDKDZZSZYFPBHSXSE"/>
		<result property="skqjkjdptfpbhsxse" column="SKQJKJDPTFPBHSXSE"/>
		<result property="xsczbdcbhsxse" column="XSCZBDCBHSXSE"/>
		<result property="swjgdkdzzszyfpbhsxse1" column="SWJGDKDZZSZYFPBHSXSE1"/>
		<result property="skqjkjdptfpbhsxse2" column="SKQJKJDPTFPBHSXSE2"/>
		<result property="xssygdysgdzcbhsxse" column="XSSYGDYSGDZCBHSXSE"/>
		<result property="skqjkjdptfpbhsxse1" column="SKQJKJDPTFPBHSXSE1"/>
		<result property="msxse" column="MSXSE"/>
		<result property="xwqymsxse" column="XWQYMSXSE"/>
		<result property="wdqzdxse" column="WDQZDXSE"/>
		<result property="qtmsxse" column="QTMSXSE"/>
		<result property="ckmsxse" column="CKMSXSE"/>
		<result property="skqjkjdptfpxse1" column="SKQJKJDPTFPXSE1"/>
		<result property="hdxse" column="HDXSE"/>
		<result property="bqynse" column="BQYNSE"/>
		<result property="hdynse" column="HDYNSE"/>
		<result property="bqynsejze" column="BQYNSEJZE"/>
		<result property="bqmse" column="BQMSE"/>
		<result property="xwqymse" column="XWQYMSE"/>
		<result property="wdqzdmse" column="WDQZDMSE"/>
		<result property="ynsehj" column="YNSEHJ"/>
		<result property="bqyjse1" column="BQYJSE1"/>
		<result property="bqybtse" column="BQYBTSE"/>
	</resultMap>
    <resultMap id="pGt3SkzsSbdrDrcxDataMap" class="com.hst.taxService.domain.gt3.HxzgSbZzsXgmSbSaveRequestDomain">
        <result property="ywxh" column="KSJS_XH"/>
        <result property="sjry" column="SJRY"/>
        <result property="sjjg" column="SWJG"/>
        <result property="djxh" column="DJXH"/>
        <result property="nsrsbh" column="NSRSBH"/>
        <result property="nsrmc" column="NSRMC"/>
        <result property="hyDm" column="HY_DM"/>
        <result property="xzqhszDm" column="XZQHSZDM"/>
        <result property="jdxzDm" column="JDXZDM"/>
        <result property="zgswskfjDm" column="ZGSWSKFJ_DM"/>
        <result property="skssqq" column="SSSQ_Q"/>
        <result property="skssqz" column="SSSQ_Z"/>
        <result property="sbsxDm" column="SBSXDM"/>
        <result property="sbrq" column="SBRQ"/>
        <result property="bsrxm" column="BSY"/>
        <result property="cwfzrxm" column="CWFZR"/>
        <result property="fddbrxm" column="FR"/>
        <result property="bsrlxdh" column="BSYDH"/>
        <result property="slswjgDm" column="SLSWJGDM"/>
        <result property="slswjgMc" column="SLSWJGMC"/>
        <result property="slrDm" column="CZRY_DM"/>
        <result property="slrxm" column="CZRY_MC"/>
        <result property="slrq" column="SLRQ"/>
    </resultMap>
	<parameterMap id="pGt3SkzsSbdrDrcxPar" class="java.util.Map">
		<parameter property="ksjsXh"   javaType="java.lang.String"   jdbcType="VARCHAR" mode="IN"/>
		<parameter property="czryDm"   javaType="java.lang.String"   jdbcType="VARCHAR" mode="IN"/>
    	<parameter property="code"     javaType="java.lang.String"   jdbcType="VARCHAR" mode="OUT"/>
    	<parameter property="mess"     javaType="java.lang.String"  jdbcType="VARCHAR" mode="OUT" />
        <parameter property="dataRtn" javaType="java.sql.ResultSet" jdbcType="ORACLECURSOR"  mode="OUT" resultMap="pGt3SkzsSbdrDrcxDataMap"/>
		<parameter property="dataList" javaType="java.sql.ResultSet" jdbcType="ORACLECURSOR"  mode="OUT" resultMap="pGt3SkzsSbdrDrcxResMap"/>
	</parameterMap>
	
	<procedure id="pGt3SkzsSbdrDrcx" parameterMap="pGt3SkzsSbdrDrcxPar">
        {call P_GT3_SKZS_SBDR_DRCX(?,?,?,?,?,?)}
	</procedure>
	
	<procedure id="pGt3SkzsLSbdrDrcx" parameterMap="pGt3SkzsSbdrDrcxPar">
        {call P_GT3_SKZS_LSB_DRCX(?,?,?,?,?,?)}
	</procedure>
	

	<resultMap id="pGt3SkzsSbdrFjsDrcxResMap" class="com.hst.taxService.domain.gt3.HxzgSbBcFxmtysbDomain">
        <result property="yssdl" column="YSSDL"/>
        <result property="zsxmDm" column="ZSXMDM"/>
        <result property="zspmDm" column="ZSPMDM"/>
        <result property="zszmDm" column="ZSZMDM"/>
        <result property="sfkssqq" column="SFKSSQQ"/>
        <result property="sfkssqz" column="SFKSSQZ"/>
        <result property="ysx" column="YSX"/>
        <result property="jcx" column="JCX"/>
        <result property="jsfyj" column="JSFYJ"/>
        <result property="sflhdwse" column="SFLHDWSE"/>
        <result property="sskcs" column="SSKCS"/>
        <result property="bqynsfe" column="BQYNSFE"/>
        <result property="bqjmsfe" column="BQJMSFE"/>
        <result property="bqyjsfe" column="BQYJSFE"/>
        <result property="bqybtsfe" column="BQYBTSFE"/>
        <result property="wdqzdbz" column="WDQZDBZ"/>
        <result property="rdpzuuid" column="RDPZUUID"/>
        <result property="rdzsuuid" column="RDZSUUID"/>
        <result property="ysbse" column="YSBSE"/>
        <result property="ssjmxzDm" column="SSJMXZDM"/>
        <result property="sybzDm1" column="SYBZDM1"/>
        <result property="sybh1" column="SYBH1"/>
        <result property="syzldz" column="SYZLDZ"/>

        <result property="phjmxzDm" column="PHJMXZDM"/>
        <result property="phjzbl" column="PHJZBL"/>
        <result property="phjmse" column="PHJMSE"/>
        <result property="phjmswsxDm" column="PHJMSWSXDM"/>

    </resultMap>

    <resultMap id="pGt3SkzsSbdrFjsDrcxDataMap" class="com.hst.taxService.domain.gt3.HxzgSbBcFxmtysbRequestDomain">
        <result property="sjry" column="SJRY"/>
        <result property="sjjg" column="SJJG"/>
        <result property="djxh" column="DJXH"/>
        <result property="nsrsbh" column="NSRSBH"/>
        <result property="nsrmc" column="NSRMC"/>
        <result property="skssqq" column="SKSSQQ"/>
        <result property="skssqz" column="SKSSQZ"/>
        <result property="sbsxDm1" column="SBSXDM1"/>
        <result property="sbrq1" column="SBRQ1"/>
        <result property="bsr" column="BSR"/>
        <result property="hyDm" column="HYDM"/>
        <result property="xzqhszDm" column="XZQHSZDM"/>
        <result property="jdxzDm" column="JDXZDM"/>
        <result property="zgswskfjDm" column="ZGSWSKFJDM"/>
        <result property="qzdbz" column="QZDBZ"/>
        <result property="bsrysfzjlxDm" column="BSRYSFZJLXDM"/>
        <result property="bsrysfzjhm" column="BSRYSFZJHM"/>
    </resultMap>


    <parameterMap id="pGt3SkzsSbdrFjsDrcxPar" class="java.util.HashMap">
        <parameter property="ksjsXh"   javaType="java.lang.String"   jdbcType="VARCHAR" mode="IN"/>
        <parameter property="czryDm"   javaType="java.lang.String"   jdbcType="VARCHAR" mode="IN"/>
        <parameter property="code"     javaType="java.lang.String"   jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="mess"     javaType="java.lang.String"  jdbcType="VARCHAR" mode="OUT" />
        <parameter property="dataRtn" javaType="java.sql.ResultSet" jdbcType="ORACLECURSOR"  mode="OUT" resultMap="pGt3SkzsSbdrFjsDrcxDataMap"/>
        <parameter property="dataList" javaType="java.sql.ResultSet" jdbcType="ORACLECURSOR"  mode="OUT" resultMap="pGt3SkzsSbdrFjsDrcxResMap"/>
    </parameterMap>

    <procedure id="pGt3SkzsSbdrFjsDrcx" parameterMap="pGt3SkzsSbdrFjsDrcxPar">
        {call P_GT3_SKZS_SBDR_DRCX_FJS(?,?,?,?,?,?)}
    </procedure>
    
    <procedure id="pGt3SkzsLSbdrFjsDrcx" parameterMap="pGt3SkzsSbdrFjsDrcxPar">
        {call P_GT3_SKZS_LSB_DRCX_FJS(?,?,?,?,?,?)}
    </procedure>
    
    <resultMap id="pGt3SkzsSbdrGrsdsDrcxDataMap" class="com.hst.taxService.domain.gt3.GsglSbGrsdsScjysdARequestDomain">
        <result property="sjry" column="SJRY"/>
        <result property="sjjg" column="SJJG"/>
        <result property="qyDjxh" column="QYDJXH"/>
        <result property="jywysbh" column="JYWYSBH"/>
        <result property="yzpzzlDm" column="YZPZZLDM"/>
        <result property="djxh" column="DJXH"/>
        <result property="sblxDm" column="SBLXDM"/>
        <result property="sssqq" column="SSSQQ"/>
        <result property="sssqz" column="SSSQZ"/>
        <result property="slswjgDm" column="SLSWJGDM"/>
        <result property="version" column="VERSION"/>
        <result property="yzpzxh" column="YZPZXH"/>
        <result property="ywlxDm" column="YWLXDM"/>

        <result property="tbrq" column="TBRQ"/>
        <result property="dljg" column="DLJG"/>
        <result property="jbr" column="JBR"/>
        <result property="dljbrzyzjhm" column="DLJBRZYZJHM"/>
        <result property="dlsbrq" column="DLSBRQ"/>
        <result property="slswjgmc" column="SLSWJGMC"/>
        <result property="slrDm" column="SLRDM"/>
        <result property="slr" column="SLR"/>
        <result property="slrq" column="SLRQ"/>
        <result property="ssglyDm" column="SSGLYDM"/>
        <result property="xm" column="XM"/>
        <result property="sfzjlxDm" column="SFZJLXDM"/>
        <result property="sfzjlxmc" column="SFZJLXMC"/>
        <result property="sfzjhm" column="SFZJHM"/>
        <result property="gjdqdm" column="GJDQDM"/>
        <result property="gjdqmc" column="GJDQMC"/>
        <result property="nsrsbh" column="NSRSBH"/>
        <result property="zgswjgDm" column="ZGSWJGDM"/>
        <result property="zgswksDm" column="ZGSWKSDM"/>
        <result property="qyNsrsbh" column="QYNSRSBH"/>
        <result property="mc" column="MC"/>
        <result property="zsfsdldm" column="ZSFSDLDM"/>
        <result property="zsfsxldm" column="ZSFSXLDM"/>
        <result property="lx" column="LX"/>
        <result property="sre" column="SRE"/>
        <result property="cbfyze" column="CBFYZE"/>
        <result property="lrze" column="LRZE"/>
        <result property="mbksje" column="MBKSJE"/>
        <result property="fpbl" column="FPBL"/>
        <result property="tzzbzfykce" column="TZZBZFYKCE"/>
        <result property="syjkx" column="SYJKX"/>
        <result property="tzdk" column="TZDK"/>
        <result property="syylbx" column="SYYLBX"/>
        <result property="qtkc" column="QTKC"/>
        <result property="ynssde" column="YNSSDE"/>
        <result property="yssdl" column="YSSDL"/>
        <result property="sl" column="SL"/>
        <result property="sskcs" column="SSKCS"/>
        <result property="ynse" column="YNSE"/>
        <result property="jmse" column="JMSE"/>
        <result property="yijse" column="YIJSE"/>
        <result property="ybtse" column="YBTSE"/>
        <result property="sdxmDm" column="SDXMDM"/>
        <result property="grsdssdxmMc" column="GRSDSSDXMMC"/>
        <result property="zspmDm" column="ZSPMDM"/>
        <result property="zspmMc" column="ZSPMMC"/>
        <result property="zszmDm" column="ZSZMDM"/>
    </resultMap>


    <parameterMap id="pGt3SkzsSbdrGrsdsDrcxPar" class="java.util.HashMap">
        <parameter property="ksjsXh"   javaType="java.lang.String"   jdbcType="VARCHAR" mode="IN"/>
        <parameter property="czryDm"   javaType="java.lang.String"   jdbcType="VARCHAR" mode="IN"/>
        <parameter property="code"     javaType="java.lang.String"   jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="mess"     javaType="java.lang.String"  jdbcType="VARCHAR" mode="OUT" />
        <parameter property="dataRtn" javaType="java.sql.ResultSet" jdbcType="ORACLECURSOR"  mode="OUT" resultMap="pGt3SkzsSbdrGrsdsDrcxDataMap"/>
    </parameterMap>

    <procedure id="pGt3SkzsSbdrGrsdsDrcx" parameterMap="pGt3SkzsSbdrGrsdsDrcxPar">
        {call P_GT3_SKZS_SBDR_DRCX_GRSDS(?,?,?,?,?)}
    </procedure>
    
    <procedure id="pGt3SkzsLSbdrGrsdsDrcx" parameterMap="pGt3SkzsSbdrGrsdsDrcxPar">
        {call P_GT3_SKZS_LSB_DRCX_GRSDS(?,?,?,?,?)}
    </procedure>
	
	<parameterMap id="pGt3SkzsSbdrDrsaveParamete" class="java.util.HashMap">
		<parameter property="ksjsXh"   javaType="java.lang.String"   jdbcType="VARCHAR" mode="IN"/>
		<parameter property="czryDm"   javaType="java.lang.String"   jdbcType="VARCHAR" mode="IN"/>
		<parameter property="drjg"   javaType="java.lang.String"   jdbcType="VARCHAR" mode="IN"/>
		<parameter property="errMess"   javaType="java.lang.String"   jdbcType="VARCHAR" mode="IN"/>
		<parameter property="pzxh"   javaType="java.lang.String"   jdbcType="VARCHAR" mode="IN"/>
	</parameterMap>
	
	<procedure id="pGt3SkzsSbdrDrsave" parameterMap="pGt3SkzsSbdrDrsaveParamete">
        {call P_GT3_SKZS_SBDR_DRSAVE(?,?,?,?,?)}
	</procedure>
	
	<procedure id="pGt3SkzsLSbdrDrsave" parameterMap="pGt3SkzsSbdrDrsaveParamete">
        {call P_GT3_SKZS_LSB_DRSAVE(?,?,?,?,?)}
	</procedure>

</sqlMap>